Creates a new user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "4b2e3d5f-7e95-4055-8b89-f16955b23478",
  "user_id": "105562ca-d239-4d40-921a-aa843e6bc6a1",
  "user_planning_slot_type_id": "bdd8b234-73c8-49d4-8f6e-cfeb29eb6599",
  "date_from": "2026-11-15T21:03:08.1737649+00:00",
  "date_to": "2026-11-15T21:03:08.1737649+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-15T21:03:08.1737649+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.